Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.molbio
Class Composition

    java.lang.Object
      org.biojava.bio.molbio.Composition

Direct Known Subclasses:
  DNAComposition

    public class Composition

extends Object

Computes composition statistics about a `SymbolList`. Essentially a conveniece wrapper around a Distribution.

Since:
  1.6
Author:
  Mark Schreiber

Constructor Summary
`Composition()`

Method Summary
`Distribution` | `getDistribution()` Returns the distribution backing this class.
`void` | `setSymbolList(SymbolList symbolList)` Set the `SymbolList` to calculation the composition of.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Composition

    public Composition()

Method Detail

### setSymbolList

    public void setSymbolList(SymbolList symbolList)
                       throws IllegalSymbolException

  Set the `SymbolList` to calculation the composition of.

  Parameters:
    `symbolList` - a `SymbolList` from the DNA Alphabet.
  Throws:
    `IllegalSymbolException` - if `symbolList` is not DNA.

### getDistribution

    public Distribution getDistribution()

  Returns the distribution backing this class.

  Returns:
    a `Distribution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD